%define name nightfall
%define version 0.19
%define release 2mdk


Summary: binary star astronomy for fun, education, and science
Name: %{name}
Version: %{version}
Release: %{release}
Requires: gnuplot
Copyright: GPL
Group: Sciences/Mathematics
Source: %{name}-%{version}.tar.bz2
URL: http://www.lsw.uni-heidelberg.de/~rwichman/Nightfall.html
Buildroot: %{_tmppath}/%{name}-buildroot

%description 
Nightfall is an interactive astronomy application for 
fun, education, and science. 
It can generate animated views of binary stars,
calculate lightcurves and radial
velocity curves, 
and eventually determine the best-fit model 
for a given set of observational data. Comes with a user
manual and observational data for several real binary
stars to play with.

If you relocate the (binary distribution) package,
you need to set the NIGHTFALL_DATAROOT environment variable
(see user manual).

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%build
%configure
%make

%install
%makeinstall \
		cfgdir=$RPM_BUILD_ROOT%{_datadir}/nightfall/cfg \
		datadir=$RPM_BUILD_ROOT%{_datadir}/nightfall/data \
		datarootdir=$RPM_BUILD_ROOT%{_datadir}/nightfall \
		docdir=$RPM_BUILD_ROOT%{_datadir}/nightfall/doc \
		localedir=$RPM_BUILD_ROOT%{_datadir}/nightfall/locale \
		manualdir=$RPM_BUILD_ROOT%{_datadir}/nightfall/doc \
		pkgdatadir=$RPM_BUILD_ROOT%{_datadir}/nightfall \
		plugindir=$RPM_BUILD_ROOT%{_datadir}/nightfall/plugins \
		GNOME_HELPDIR=$RPM_BUILD_ROOT/%{_datadir}/gnome/help/%{name} \
		GNOME_APPDIR=$RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications \
		GNOME_PIXDIR=$RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc UserManual.dvi UserManual.html 
%{_datadir}/nightfall
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jan 08 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.19-2mdk
- fixed %%makeinstall
- cleaned up .spec file

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.19-1mdk
- new in contribs
